QGIS Application - Bug report #17468
Processing: "export/add geometry columns™” corrupts data
2017-11-1510:23 AM - Thomas Nogatz

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.14 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 25365
Description

Using QGIS 2.18, saving the result of "export/add geometry columns” into an existing shapefile deletes the prj, gpj and shx part of the
shapefile. The shp and dbf files are not changed.

History

#1 - 2017-11-15 10:53 AM - Giovanni Manghi

- Operating System deleted (Windows 10)

- Affected QGIS version changed from 2.18.9 to 2.18.14
- Priority changed from Normal to High

- Subject changed from export/add geometry columns to Processing: "export/add geometry columns” corrupts data

#2 - 2018-05-16 02:32 PM - Alexander Bruy

- Status changed from Open to Feedback

Fixed in master, please check.

#3 - 2018-06-01 04:04 AM - Nyall Dawson
- Status changed from Feedback to Closed

- Resolution set to fixed/implemented
